## org.eclipse.emf.cheatsheets.actions
Class NewJavaProjectAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.cheatsheets.actions.NewProjectAction
                      org.eclipse.emf.cheatsheets.actions.NewJavaProjectAction

All Implemented Interfaces:
  IAction, ICheatSheetAction

    public class NewJavaProjectAction

extends NewProjectAction

Action that creates a new Java project in workspace.

Since:
  2.2.0

Field Summary
`protected static java.lang.String` `OUTPUT_FOLDER`
`protected static java.lang.String` `SOURCE_FOLDER`

Fields inherited from class org.eclipse.emf.cheatsheets.actions.NewProjectAction
`projectName`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`NewJavaProjectAction()`

Method Summary
`protected IProject` `createProject(java.lang.String projectName, IProgressMonitor monitor)` Create a new Java project

Methods inherited from class org.eclipse.emf.cheatsheets.actions.NewProjectAction
`run, run, runWithProgress`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### SOURCE_FOLDER

    protected static final java.lang.String SOURCE_FOLDER

See Also:
  Constant Field Values

### OUTPUT_FOLDER

    protected static final java.lang.String OUTPUT_FOLDER

See Also:
  Constant Field Values

Constructor Detail

### NewJavaProjectAction

    public NewJavaProjectAction()

Method Detail

### createProject

    protected IProject createProject(java.lang.String projectName,
                                     IProgressMonitor monitor)
                              throws CoreException

  Create a new Java project

  Overrides:
    `createProject` in class `NewProjectAction`
  Parameters:
    `projectName` - Name of the project
    `monitor` - Monitoring the action
  Returns:
    Java project
  Throws:
    `CoreException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.